Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 467086

Summary: dev-libs/glib-2.34.3 with automake-1.13 - configure.ac:294: error: 'AM_PROG_CC_STDC': this macro is obsolete.
Product: Gentoo Linux Reporter: Paramonov Valeriy <asm64>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: james05+gentoo, Wizzleby
Priority: Normal    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 451744    

Description Paramonov Valeriy 2013-04-24 16:41:45 UTC
* Failed Running aclocal !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/dev-libs/glib-2.34.3/temp/aclocal.out
 * ERROR: dev-libs/glib-2.34.3 failed (prepare phase):
 *   Failed Running aclocal !
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 6989:  Called eautoreconf
 *   environment, line 1830:  Called eaclocal
 *   environment, line 1733:  Called autotools_run_tool '--at-m4flags' 'aclocal' '-I' 'm4macros'
 *   environment, line 1394:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 * 
 * If you need support, post the output of `emerge --info '=dev-libs/glib-2.34.3'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/glib-2.34.3'`.
 * The complete build log is located at '/var/tmp/portage/dev-libs/glib-2.34.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/glib-2.34.3/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3'
 * S: '/var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3'




#cat /var/tmp/portage/dev-libs/glib-2.34.3/temp/aclocal.out

***** aclocal *****
***** PWD: /var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3
***** aclocal -I /var/tmp/portage/dev-libs/glib-2.34.3/work -I m4macros

configure.ac:294: error: 'AM_PROG_CC_STDC': this macro is obsolete.
    You should simply use the 'AC_PROG_CC' macro instead.
    Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
    but upon 'ac_cv_prog_cc_stdc'.
/usr/share/aclocal-1.13/obsolete-err.m4:17: AM_PROG_CC_STDC is expanded from...
configure.ac:294: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


Reproducible: Always

Steps to Reproduce:
1. revdep-rebuild
2. no broken deps
3. emerge -eav world
Actual Results:
Comment 1 Pim Vullers 2013-04-25 09:57:10 UTC
I can confirm this bug. Removing automake-1.13.1 allows me to build glib again.
Comment 2 Ted Tanberry 2013-04-27 12:07:26 UTC
This also affects glib-1.2.10-r5 and glib-2.32.4-r1. I've fixed all glib ebuilds (including some minor append-ldflags warning in glib-1.2.10-r5):


diff -u /usr/portage/dev-libs/glib/glib-1.2.10-r5.ebuild /usr/local/portage/dev-libs/glib/glib-1.2.10-r5.ebuild
--- /usr/portage/dev-libs/glib/glib-1.2.10-r5.ebuild	2012-09-25 14:01:09.000000000 +0200
+++ /usr/local/portage/dev-libs/glib/glib-1.2.10-r5.ebuild	2013-04-27 13:36:22.730793232 +0200
@@ -33,7 +33,12 @@
 	epatch "${DISTDIR}"/glib-1.2.10-r1-as-needed.patch.bz2
 
 	use ppc64 && use hardened && replace-flags -O[2-3] -O1
-	append-ldflags $(dlopen_lib)
+	sed -i "/libglib_la_LDFLAGS/i libglib_la_LIBADD = $(dlopen_lib)" Makefile.am || die
+
+	sed -i \
+		-e '/AM_PROG_CC_STDC/d' \
+		-e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:g' \
+		configure.in || die
 
 	rm -f acinclude.m4 #168198
 	eautoreconf
diff -u /usr/portage/dev-libs/glib/glib-2.32.4-r1.ebuild /usr/local/portage/dev-libs/glib/glib-2.32.4-r1.ebuild
--- /usr/portage/dev-libs/glib/glib-2.32.4-r1.ebuild	2013-02-19 01:31:08.000000000 +0100
+++ /usr/local/portage/dev-libs/glib/glib-2.32.4-r1.ebuild	2013-04-27 13:40:31.597741697 +0200
@@ -112,6 +112,11 @@
 
 	epatch_user
 
+	# automake-1.13 fix
+	sed -i \
+		-e '/AM_PROG_CC_STDC/d' \
+		configure.ac || die
+
 	# disable pyc compiling
 	use test && python_clean_py-compile_files
 
diff -u /usr/portage/dev-libs/glib/glib-2.34.3.ebuild /usr/local/portage/dev-libs/glib/glib-2.34.3.ebuild
--- /usr/portage/dev-libs/glib/glib-2.34.3.ebuild	2013-02-19 01:31:08.000000000 +0100
+++ /usr/local/portage/dev-libs/glib/glib-2.34.3.ebuild	2013-04-27 13:54:26.901195068 +0200
@@ -107,6 +107,11 @@
 
 	epatch_user
 
+	# automake-1.13 fix
+	sed -i \
+		-e '/AM_PROG_CC_STDC/d' \
+		configure.ac || die
+
 	# disable pyc compiling
 	use test && python_clean_py-compile_files
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-04-29 01:23:59 UTC
Fixed by requiring automake-1.12.x to be used when building glib-1.2, 2.32 or 2.34. The glib-2.36 ebuilds seem to work fine with automake-1.13.

Thanks for reporting!

+  29 Apr 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  glib-1.2.10-r5.ebuild, glib-2.32.4-r1.ebuild, glib-2.34.3.ebuild:
+  Require automake-1.12, since building with 1.13 fails (bug #467086, thanks to
+  Paramonov Valeriy et al.)
Comment 4 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-04-29 01:35:36 UTC
(And we probably would be able to remove this restriction when automake-1.13.2 after is in portage, see http://www.flameeyes.eu/autotools-mythbuster/forwardporting/automake.html)
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-04-30 14:29:41 UTC
+  30 Apr 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+  glib-1.2.10-r5.ebuild, glib-2.32.4-r1.ebuild, glib-2.34.3.ebuild,
+  +files/glib-1.2.10-automake-1.13.patch,
+  +files/glib-2.34.3-automake-1.13.patch:
+  On second thought, fix automake-1.13 compatibility properly, with patches.